Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class GraphTransaction.Consumer.Adapter

    java.lang.Object
      de.grogra.persistence.Transaction.Consumer.Adapter
          de.grogra.graph.impl.GraphTransaction.Consumer.Adapter

All Implemented Interfaces:
  GraphTransaction.Consumer, Transaction.Consumer

Enclosing interface:
  GraphTransaction.Consumer

    public static class GraphTransaction.Consumer.Adapter

extends Transaction.Consumer.Adapter
implements GraphTransaction.Consumer

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.graph.impl.GraphTransaction.Consumer
`GraphTransaction.Consumer.Adapter, GraphTransaction.Consumer.Multicaster`

Nested classes/interfaces inherited from interface de.grogra.persistence.Transaction.Consumer
`Transaction.Consumer.Adapter, Transaction.Consumer.Multicaster`

Constructor Summary
`GraphTransaction.Consumer.Adapter()`

Method Summary
`void` | `addEdgeBits(Node source, Node target, int mask)`
`void` | `removeEdgeBits(Node source, Node target, int mask)`

Methods inherited from class de.grogra.persistence.Transaction.Consumer.Adapter
`begin, end, insertComponent, makePersistent, makeTransient, readData, removeComponent, setField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphTransaction.Consumer.Adapter

    public GraphTransaction.Consumer.Adapter()

Method Detail

### addEdgeBits

    public void addEdgeBits(Node source,
                            Node target,
                            int mask)

  Specified by:
    `addEdgeBits` in interface `GraphTransaction.Consumer`

### removeEdgeBits

    public void removeEdgeBits(Node source,
                               Node target,
                               int mask)

  Specified by:
    `removeEdgeBits` in interface `GraphTransaction.Consumer`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD